ISGRAPH(3)

NAME
isgraph - printing character test (space character exclusive)

SYNOPSIS
#include <ctype.h>
int
isgraph(int c);

DESCRIPTION
The isgraph() function tests for any printing character except space (‘ ’).

RETURN VALUES
The isgraph() function returns zero if the character tests false or non-zero if the character tests true.

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isgraph() function conforms to ansiC.

CAVEATS
The argument to isgraph() must be EOF or representable as an unsigned char; otherwise, the result is undefined.